<html>
<head>
<title>Ogre::RenderTargetViewportEvent Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderTargetViewportEvent Struct Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderTargetViewportEvent" -->
<p>Struct containing information about a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> Viewport-specific event.  
 <a href="structOgre_1_1RenderTargetViewportEvent.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>&gt;</code></p>

<p><a href="structOgre_1_1RenderTargetViewportEvent-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTargetViewportEvent.html#ad70a30225c318f3f6e3fc20b5edc34f6">source</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The source of the event being raised.  <a href="#ad70a30225c318f3f6e3fc20b5edc34f6"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct containing information about a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> Viewport-specific event. </p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00052">52</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ad70a30225c318f3f6e3fc20b5edc34f6"></a><!-- doxytag: member="Ogre::RenderTargetViewportEvent::source" ref="ad70a30225c318f3f6e3fc20b5edc34f6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a>* <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html#ad70a30225c318f3f6e3fc20b5edc34f6">Ogre::RenderTargetViewportEvent::source</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source of the event being raised. </p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h_source.html#l00055">55</a> of file <a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
